Index: TvEngine3/TVLibrary/SetupTv/Sections/CardDvbIP.cs
===================================================================
--- TvEngine3/TVLibrary/SetupTv/Sections/CardDvbIP.cs	(revision 28021)
+++ TvEngine3/TVLibrary/SetupTv/Sections/CardDvbIP.cs	(working copy)
@@ -279,12 +279,23 @@
               dbChannel = currentDetail.ReferencedChannel();
             }
 
-            layer.AddChannelToGroup(dbChannel, TvConstants.TvGroupNames.AllChannels);
-
-            if (checkBoxCreateGroups.Checked)
+            if (dbChannel.IsTv)
             {
-              layer.AddChannelToGroup(dbChannel, channel.Provider);
+              layer.AddChannelToGroup(dbChannel, TvConstants.TvGroupNames.AllChannels);
+              if (checkBoxCreateGroups.Checked)
+              {
+                layer.AddChannelToGroup(dbChannel, channel.Provider);
+              }
             }
+            if (dbChannel.IsRadio)
+            {
+              layer.AddChannelToRadioGroup(dbChannel, TvConstants.RadioGroupNames.AllChannels);
+              if (checkBoxCreateGroups.Checked)
+              {
+                layer.AddChannelToRadioGroup(dbChannel, channel.Provider);
+              }
+            }
+
             if (currentDetail == null)
             {
               layer.AddTuningDetails(dbChannel, channel);
Index: TvEngine3/TVLibrary/SetupTv/Startup.cs
===================================================================
--- TvEngine3/TVLibrary/SetupTv/Startup.cs	(revision 28021)
+++ TvEngine3/TVLibrary/SetupTv/Startup.cs	(working copy)
@@ -299,6 +299,7 @@
       // Mantis #0002138: impossible to configure TVGroups 
       TvBusinessLayer layer = new TvBusinessLayer();
       layer.CreateGroup(TvConstants.TvGroupNames.AllChannels);
+      layer.CreateRadioGroup(TvConstants.RadioGroupNames.AllChannels);
 
       // Avoid the visual part of SetupTv if in DeployMode
       if (startupMode == StartupMode.DeployMode)
Index: TvEngine3/TVLibrary/TVDatabase/TvBusinessLayer/BusinessLayer.cs
===================================================================
--- TvEngine3/TVLibrary/TVDatabase/TvBusinessLayer/BusinessLayer.cs	(revision 28021)
+++ TvEngine3/TVLibrary/TVDatabase/TvBusinessLayer/BusinessLayer.cs	(working copy)
@@ -209,6 +209,25 @@
       return group;
     }
 
+    public RadioChannelGroup CreateRadioGroup(string groupName)
+    {
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(RadioChannelGroup));
+      sb.AddConstraint(Operator.Like, "groupName", "%" + groupName + "%");
+      SqlStatement stmt = sb.GetStatement(true);
+      IList<RadioChannelGroup> groups = ObjectFactory.GetCollection<RadioChannelGroup>(stmt.Execute());
+      RadioChannelGroup group;
+      if (groups.Count == 0)
+      {
+        group = new RadioChannelGroup(groupName, 9999);
+        group.Persist();
+      }
+      else
+      {
+        group = groups[0];
+      }
+      return group;
+    }
+
     public void AddChannelToGroup(Channel channel, string groupName)
     {
       bool found = false;
